Package com.pixelmed.dose

# Class CTPhantomType

java.lang.Object
com.pixelmed.dose.CTPhantomType

All Implemented Interfaces:
  `Comparable`

public class CTPhantomType extends Object implements Comparable

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CTPhantomType`
`BODY32`
`static final CTPhantomType`
`HEAD16`
`static final CTPhantomType`
`MIXED`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`CodedSequenceItem`
`getCodedSequenceItem()`
`static CodedSequenceItem`
`getCodedSequenceItem(CTPhantomType phantomType)`
`static CTPhantomType`
`selectFromCode(CodedSequenceItem csi)`
`static CTPhantomType`
`selectFromDescription(String description)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### HEAD16

public static final CTPhantomType HEAD16

### BODY32

public static final CTPhantomType BODY32

### MIXED

public static final CTPhantomType MIXED

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`

### selectFromDescription

public static CTPhantomType selectFromDescription(String description)

### selectFromCode

public static CTPhantomType selectFromCode(CodedSequenceItem csi)

### getCodedSequenceItem

public static CodedSequenceItem getCodedSequenceItem(CTPhantomType phantomType) throws DicomException

Throws:
  `DicomException`

### getCodedSequenceItem

public CodedSequenceItem getCodedSequenceItem() throws DicomException

Throws:
  `DicomException`